# Generated by Django 3.0.3 on 2020-03-06 04:42

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('checklist', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, verbose_name='UUID')),
                ('tag', models.TextField(verbose_name='name')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='tags', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'unique_together': {('tag', 'owner')},
            },
        ),
        migrations.CreateModel(
            name='Note',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, verbose_name='UUID')),
                ('title', models.TextField(verbose_name='title')),
                ('content', models.TextField(verbose_name='content')),
                ('checklist', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='notes', to='checklist.ChecklistItem')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='notes', to=settings.AUTH_USER_MODEL)),
                ('tags', models.ManyToManyField(related_name='notes', to='note.Tag')),
            ],
        ),
    ]
